<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
    <title>Data Analysis Remote Treatment Service (DARTS)</title>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <link rel="stylesheet" href="style.css">
</head>
<body>

<!-- some header banner ---------------------------------------------------- -->
<a href="https://gitlab.com/soleil-data-treatment/soleil-software-projects/remote-desktop" target="_top"><img alt="DARTS" title="Data Analysis Remote Treatment Service (DARTS)"
        src="images/darts_logo.png" 
        align="right" height="128" width="173"></a>
        
<h1 align="center"><i>Data Analysis Remote Treatment Service (DARTS)</i></h1>

<p>
This service is a data analysis portal that allows to create a remote desktop to
treat your data, in the cloud. You can tune the type of system you need. It will be displayed in your browser, without any additional software for you to install.
</p>

<!-- The form -------------------------------------------------------------- -->

<div class="container">
  <form action="/cgi-bin/qemu-web-desktop.pl" method="post"
    autocomplete="on" enctype="multipart/form-data" name="desktop">
    

<!-- [user ID] textbox                                                       -->
<!-- [ooooooo] pw textbox                                                    -->
  
    <div class="row">
        <input type="text" id="user" name="user" 
          placeholder="Enter your <user> local ID...">
    </div>
    
    <div class="row">
        <input type="password" id="password" name="password" 
          placeholder="Your password (for local ID)...">
    </div>
    
<!-- [Create] [Manage] buttons --------------------------------------------- -->

    <div class="row">

      <div class="col-25">
        <input type="submit" value="Create" name="create" id="submit_button"  title="Start a new session">
      </div>
      
      <div class="col-50">
        <small><i>
        By pressing the Create button, you agree with our Terms and Conditions (*)
        </i></small>
      </div>
      
      <div class="col-25">
        <input type="submit" value="Manage sessions" name="manage" id="manage_button" style="background-color:gray; float:right"  title="Manage existing sessions">
      </div>

    </div>

<hr> 

<!-- ----------------------------------------------------------------------- -->
<!-- [virtual machine choice] pop-up                                         -->
    
    <div class="row">
      <div class="col-25" title="Select the environment you want to work with. You can select 'Manage' to list/reconnect/stop your sessions.">
        <label for="machine">Machine</label>
      </div>
      <div class="col-75">
      <!-- This is the list of available machines, as generated by qwdctl refresh -->
        <select id="machine" name="machine">
          <!--#include file="machines.html" -->
<!--BEGIN_MACHINE_LIST-->
<!--END_MACHINE_LIST-->
<!-- This line allows to monitor/stop sessions -->
          <option value="monitor">[ Manage sessions (list/reconnect/stop) ]</option>
        </select>
      </div>
    </div>
    
<!-- ----------------------------------------------------------------------- -->
<!-- [configuration script] text (local file or URL) (optional)              -->
<!-- UNCOMMENT if you wish to allow users to customize their sessions        -->

<!-- optional section to specify a configuration script                      -->
<!-- a file available on the server, or a URL can be given                   -->
<!-- the script is sent for execution to the virtual machine before being    -->
<!-- started. It may include conda, pip, exec, file operations, but no actual-->
<!-- program start.                                                          -->

<!--    <div class="row"> -->
<!--      <div class="col-25" title="Path or URL to a single file or 'exec: cmd1; cmd2; ...'. Will be executed before the environment starts (optional)."> -->
<!--        <label for="config_script">Configuration script (opt.)</label> -->
<!--      </div> -->
<!--      <div class="col-75"> -->
<!--        <input type="text" id="config_script" name="config_script" -->
<!--          placeholder="Path or URL to a single file or 'exec: cmd1; cmd2; ...'"> -->
<!--      </div> -->
<!--    </div> -->

<!-- ----------------------------------------------------------------------- -->
<!-- [#cpu] pop-up                                                           -->
    
    <div class="row">
      <div class="col-25" title="How many cores ? don't be too greedy.">
        <label for="cpu">Number of CPU's</label>
      </div>
      <div class="col-75">
        <select id="cpu" name="cpu">
          <option value="1">1</option>
          <option value="2">2</option>
          <option value="4">4</option>
<!--          <option value="8">8</option> -->
<!--          <option value="16">16</option> -->
<!--          <option value="32">32</option> -->
<!--          <option value="64">64</option> -->
        </select>
      </div>
    </div>
    
<!-- ----------------------------------------------------------------------- -->
<!-- [memory] pop-up, values in GB                                           -->
    
    <div class="row">
      <div class="col-25" title="How much memory ? don't be too greedy.">
        <label for="memory">Amount of memory</label>
      </div>
      <div class="col-75">
        <select id="memory" name="memory">
          <option value="1">1 GB</option>
          <option value="2">2 GB</option>
          <option value="4">4 GB</option>
<!--          <option value="8">8 GB</option> -->
<!--          <option value="16">16 GB</option> -->
<!--          <option value="32">32 GB</option> -->
<!--          <option value="64">64 GB</option> -->
<!--          <option value="128">128 GB</option> -->
        </select>
      </div>
    </div>

<!-- ----------------------------------------------------------------------- -->
<!-- [X] GPU checkbox (optional)                                             -->
<!-- GPU pass-through: UNCOMMENT if you have configured IOMMU/VFIO           -->

<!--    <div class="row"> -->
<!--      <div class="col-25" title="Select only if you want to perform GPU computing (optional)."> -->
<!--        <label for="gpu">Compute on GPU (opt.)</label> -->
<!--      </div> -->
<!--      <div class="col-25"> -->
<!--        <input type="checkbox" id="gpu" name="gpu" value="gpu"> -->
<!--      </div> -->
<!--      <div class="col-50"> -->
<!--        <small><i>You may request a physical <b>GPU</b> to e.g. run heavy computations (not for display). -->
<!--        The tools and libraries you wish to use should have been designed to benefit from such devices with e.g. -->
<!--        <a href="https://www.khronos.org/opencl/">OpenCL</a>, -->
<!--        <a href="https://developer.nvidia.com/cuda-zone">CUDA</a>, -->
<!--        <a href="https://www.openacc.org/">OpenACC</a>, -->
<!--        <a href="https://rocmdocs.amd.com/en/latest/">ROCm/HIP</a>.-->
<!--        Do NOT request a GPU if you do not actually use it, as their number is limited.-->
<!--        </i></small> -->
<!--      </div> -->
<!--    </div> -->

<!-- ----------------------------------------------------------------------- -->
<!-- [X] one-shot session checkbox (optional)                                -->
<!-- UNCOMMENT if you wish to allow single-shot sessions, without token      -->
<!-- These sessions use each a separate port, e.g. 6080:6080+rand                -->

<!--    <div class="row"> -->
<!--      <div class="col-25" title="Select to use a one-shot session."> -->
<!--        <label for="oneshot">One-shot</label> -->
<!--      </div> -->
<!--      <div class="col-25"> -->
<!--        <input type="checkbox" id="oneshot" name="oneshot" value="oneshot"> -->
<!--      </div> -->
<!--      <div class="col-50"> -->
<!--        <small><i><b>One-shot</b> sessions allow a single login, and are mostly for testing, tutorials, etc. They are not recommended for long term work as any connection loss will end the session. -->
<!--        </i></small> -->
<!--      </div> -->
<!--    </div> -->

<!-- ----------------------------------------------------------------------- -->
<!-- [life-time] pop-up                                                      -->
    
    <div class="row">
      <div class="col-25" title="Beyond this time, the session will be cleared to release resources.">
        <label for="life_time">Session life-time</label>
      </div>
      <div class="col-75">
        <select id="snapshot_lifetime" name="snapshot_lifetime">
          <option value="43200">12 hours (short work)</option>
          <option value="86400">1 day</option>
          <option value="172800">2 days</option>
          <option value="259200">4 days (long work)</option>
        </select>
      </div>
    </div>
    
  </form>
</div>

<!-- the footer ------------------------------------------------------------ -->
<hr>
Any registered user can use this service free of charge. 
Provide a user account name and password. 
</p>
<p><small>
<i><b>(*) Terms and Conditions: </b><br>
  I will only use this service for data analysis, without any illegal activities. 
  I am aware that remote desktop instances are by nature volatile. 
  My work is not kept after using the service.
  We keep track of this service use for legal purposes. 
  We do not use cookies. Only necessary logs are kept.
  We do not share user information with third parties.
</i></small></p>
<small>
  <a href="https://gitlab.com/soleil-data-treatment/soleil-software-projects/remote-desktop">source code at Gitlab</a>
</small>

</body>

</html>
